Loading...
Searching...
No Matches
restinio::easy_parser::impl::forced_alternative_clause_t< Subitems_Tuple > Class Template Reference

An alternative that should be parsed correctly or the parsing of the whole alternatives clause should fail. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::forced_alternative_clause_t< Subitems_Tuple >:

## Public Member Functions

template<typename Target_Type >
RESTINIO_NODISCARD optional_t< parse_error_t > | try_process (source_t &from, Target_Type &target)
Public Member Functions inherited from restinio::easy_parser::impl::sequence_clause_t< Subitems_Tuple >
| sequence_clause_t (Subitems_Tuple &&subitems)
template<typename Target_Type >
RESTINIO_NODISCARD optional_t< parse_error_t > | try_process (source_t &from, Target_Type &target)

## Private Types

using | base_type_t = sequence_clause_t< Subitems_Tuple >

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::clause_tag
static constexpr entity_type_t | entity_type = entity_type_t::clause

## Detailed Description

template<typename Subitems_Tuple>
class restinio::easy_parser::impl::forced_alternative_clause_t< Subitems_Tuple >

An alternative that should be parsed correctly or the parsing of the whole alternatives clause should fail.

This special clause is intended to be used in the implementation of restinio::easy_parser::force_only_this_alternative(). See the description of that function for more details.

Since
  v.0.6.7

Definition at line 1961 of file easy_parser.hpp.

## Member Typedef Documentation

## base_type_t

template<typename Subitems_Tuple >

using restinio::easy_parser::impl::forced_alternative_clause_t< Subitems_Tuple >::base_type_t = sequence_clause_t< Subitems_Tuple >

private

Definition at line 1963 of file easy_parser.hpp.

## Member Function Documentation

## try_process()

template<typename Subitems_Tuple >
template<typename Target_Type >

RESTINIO_NODISCARD optional_t< parse_error_t > restinio::easy_parser::impl::forced_alternative_clause_t< Subitems_Tuple >::try_process | ( | source_t & | from,
|  | Target_Type & | target
| ) |  |

inline

Definition at line 1971 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp